<?php

/**
 * Added One Page Conference Page.
*/
/**
 * Add a new page under Appearance
 */
function chic_lifestyle_menu()
{
    add_theme_page(
        __( 'Get Started', 'chic-lifestyle' ),
        __( 'Get Started', 'chic-lifestyle' ),
        'edit_theme_options',
        'chic-lifestyle-get-started',
        'chic_lifestyle_page'
    );
}

add_action( 'admin_menu', 'chic_lifestyle_menu' );
/**
 * Enqueue styles for the help page.
 */
function chic_lifestyle_admin_scripts( $hook )
{
    if ( 'appearance_page_chic-lifestyle-get-started' !== $hook ) {
        return;
    }
    wp_enqueue_style(
        'chic-lifestyle-admin-style',
        get_template_directory_uri() . '/inc/about/about.css',
        array(),
        ''
    );
}

add_action( 'admin_enqueue_scripts', 'chic_lifestyle_admin_scripts' );
/**
 * Add the theme page
 */
function chic_lifestyle_page()
{
    ?>
	<div class="das-wrap">
		<div class="chic-lifestyle-panel">
			<div class="chic-lifestyle-logo">
				<img class="ts-logo" width="25" src="<?php 
    echo  esc_url( get_template_directory_uri() . '/inc/about/images/bootstrap.png' ) ;
    ?>" alt="Logo"> 
			</div>
			<?php 
    ?>
				<a href="https://thebootstrapthemes.com/chic-lifestyle-pro/" target="_blank" class="btn btn-success pull-right"><?php 
    esc_html_e( 'Upgrade to Pro $49.99', 'chic-lifestyle' );
    ?></a>
			<?php 
    ?>
			<p>
			<?php 
    esc_html_e( 'Chic Lifestyle is a minimalist and fully responsive multipurpose theme with full WordPress Customizer integration, that enables you to customize your website with live preview.', 'chic-lifestyle' );
    ?></p>
			<a class="btn btn-primary" href="<?php 
    echo  esc_url( admin_url( '/customize.php?' ) ) ;
    ?>"><?php 
    esc_html_e( 'Theme Options - Click Here', 'chic-lifestyle' );
    ?></a>
		</div>

		<div class="chic-lifestyle-panel">
			<div class="chic-lifestyle-panel-content">
				<div class="theme-title">
					<h3><?php 
    esc_html_e( 'Once you install all recommended plugins, you can import demo template.', 'chic-lifestyle' );
    ?></h3>
				</div>
				<a class="btn btn-secondary" href="<?php 
    echo  esc_url( admin_url( '/themes.php?page=advanced-import' ) ) ;
    ?>"><?php 
    esc_html_e( 'View Demo Templates', 'chic-lifestyle' );
    ?></a>
			</div>
		</div>
		<div class="chic-lifestyle-panel">
			<div class="chic-lifestyle-panel-content">
				<div class="theme-title">
					<h4><?php 
    esc_html_e( 'If you like the theme, please leave a review or Contact us for technical support.', 'chic-lifestyle' );
    ?></h4>
				</div>
				<a href="https://wordpress.org/support/theme/chic-lifestyle/reviews/#new-post" target="_blank" class="btn btn-secondary"><?php 
    esc_html_e( 'Rate this theme', 'chic-lifestyle' );
    ?></a> <a href="https://thebootstrapthemes.com/support/" target="_blank" class="btn btn-secondary"><?php 
    esc_html_e( 'Contact Us', 'chic-lifestyle' );
    ?></a>
			</div>
		</div>
	</div>
	<?php 
}
